#include <itpp/itbase.h>
#include <stat/libEF.h>
#include <stat/merger.h>

using namespace itpp;

//These lines are needed for use of cout and endl
using std::cout;
using std::endl;

int main() {

	RV x("{x }","1");
	RV y("{y }","1");
	RV z("{z }","1");

	mlnorm<fsqmat> fx(x,y);
	mlnorm<fsqmat> fy(x,z);

	fx.set_parameters("1.5",mat("1"));
	fy.set_parameters("1.3",mat("1"));
	
	Array<mpdf* > A(2); 
	A(0)=&fx;
	A(1)=&fy;

	merger M(A);
	eEmp res=M.merge(100);
	
	cout << res.mean() << end;
	//Exit program:
	return 0;

}

